#ifndef _POSITION_ANALYZER_H_
#define _POSITION_ANALYZER_H_

#include "../intentions/targets/Target.h"


class PositionAnalyzer {
  public:
    PositionAnalyzer();
    void calculateValues();
    void calculateGoalieValues();
    const Vector& getPositionTarget();
    const Vector& getGoaliePositionTarget();
    const Vector& getGoaliePositionTurnVector();

  protected:
    void setPositionTarget( Vector newTarget );
    Vector positionTarget;
    Vector goaliePositionTarget;
    Vector oldPositionTarget;
    Vector goaliePositionTurnVector;
    //Vector oldPositionTurnVector;
};


inline void PositionAnalyzer::setPositionTarget( Vector newTarget )
{
  positionTarget = newTarget;
}

#endif

