 
/** 
 * Aktueller Stand 
 * 
 *   $RCSfile: Common.cc,v $ 
 *   $Revision: 1.1.1.1 $ 
 *   $Date: 2001/07/31 22:23:08 $ 
 *   $Author: rami $  
 * 
 */
#include <string>
#include "Common.h"
#include "Ath98String.h"
#include "Exception.h"
#include "Log.h"
#include "../worldmodel/WorldModelInterface.h"



double globalComparisonAccuracy = DEFAULT_COMPARISON_ACCURACY;

double normalizeAngle(double anAngle) 
{
  double angle = anAngle;
  double phaseShift;

  if( angle == UNDEF_DOUBLE ) {
    if(globalWorldModel->simStep() > 2){
      cerr << globalWorldModel->id() << " cannot normalize undef angle\n";
    }
  }
  else if ( angle > 2.0 * Ath98_PI ) {
    phaseShift = floor( ( angle ) / ( 2.0 * Ath98_PI) );
    angle -= phaseShift * ( 2.0 * Ath98_PI );
  }
  else if ( angle < 0.0 - DEFAULT_COMPARISON_ACCURACY ) {
    phaseShift = floor( ( -angle ) / ( 2.0 * Ath98_PI) );
    angle += (phaseShift+1) * ( 2.0 * Ath98_PI );
  }
  return angle;
}


// als abschreckendes Beispiel !
// nicht nachmachen!
void endlessLoop()
{
string IdString;
IdString = "Common";

  INFO( Log::ANY  ,  2  ,   IdString , globalLog->infoStream <<
  " Endlosschleife erreicht.\n"  ) ;

  while ( YES ) { 
  } 
} 
 
 
;  
