#include "WaitIntention.h"

#include "../conditions/WaitAndTimeConditions.h"

#include "../../worldmodel/Neck.h"

WaitIntention::WaitIntention( int aTime ) : BasicIntention( theId ) {
  addPreCondition( new TrueCondition() );
  addPostCondition( new WaitUntilCondition( aTime ) );
  changeViewBehaviour = NO;
}

WaitIntention::WaitIntention( Condition* aCondition ) : BasicIntention( theId ){
  addPreCondition( new TrueCondition() );
  addPostCondition( aCondition );
  changeViewBehaviour = NO;
}
/*
WaitIntention::WaitIntention( int aTime )
//                              int desiredNeckBehaviour, int desiredNeckBehaviourAlignment, int desiredNeckBehaviourPriority,
//                              int desiredViewWidth, int desiredViewQuality, int desiredViewPriority)
: BasicIntention( theId )
//  theDesiredNeckBehaviour( desiredNeckBehaviour ),
//  theDesiredNeckBehaviourAlignment( desiredNeckBehaviourAlignment ),
//  theDesiredNeckBehaviourPriority( desiredNeckBehaviourPriority ),
//  theDesiredViewWidth( desiredViewWidth ),
//  theDesiredViewQuality( desiredViewQuality ),
//  theDesiredViewPriority( desiredViewPriority )
{
  addPreCondition( new TrueCondition() );
  addPostCondition( new WaitUntilCondition( aTime ) );
  changeViewBehaviour = YES;
}
*/
Action WaitIntention::execute() {
  INFO( Log::INTENTIONS,  10,  idString() , globalLog->infoStream << idString() << "::execute\n"); 

 if(changeViewBehaviour == YES) {
/*    globalNeck->setNeckBehaviour( theDesiredNeckBehaviour, theDesiredNeckBehaviourAlignment, theDesiredNeckBehaviourPriority );
    globalNeck->setViewBehaviour( theDesiredViewWidth, theDesiredViewQuality, theDesiredViewPriority );
*/  }
  
  return Action( EMPTY_ACTION, globalWorldModel->simStep() );
}
