#ifndef _COMPLEX_INTENTION_H_
#define _COMPLEX_INTENTION_H_

#include "../Intention.h"

class ComplexIntention : public Intention{
 protected:
  /** Konstruktoren. */
  ComplexIntention( IntentionId aId );
  ComplexIntention( IntentionId aId, const Target& aTarget );

 public:
  ComplexIntention( const ComplexIntention& anIntention );

  /** Destruktor, weil virtuelle Funktionen vorhanden sind. */
  virtual ~ComplexIntention();

  virtual int utility() = 0;

  virtual Action execute();



};

#endif
