#ifndef _DRIBBLE_ANALYZER_H_
#define _DRIBBLE_ANALYZER_H_

#include "../intentions/targets/Target.h"

class DribbleAnalyzer {
  public:
    DribbleAnalyzer();
    const Vector& getDribbleTarget();
    void calculateValues();

  private:
    Vector theDribbleTarget;
};

inline const Vector& DribbleAnalyzer::getDribbleTarget()
{
  return theDribbleTarget;
}


#endif

