#include "Say.h"

#include "../intentions/skills/Skills.h"

Say* globalSay;


Say::Say(){
  theNeedToSendSayAction = NO;
}

void Say::setSayAction( const string& message ){
    setSayAction( Ath98String( message.c_str() ) );
}

void Say::setSayAction( const Ath98String& message ){
    theSayAction = globalSkills->simpleSay( message );
    setNeedToSendSayAction();
    theSimStepOfSayAction = globalWorldModel->simStep();
}    

void Say::setSayAction( unsigned short int flag ){
    switch( flag ){

    case WORLD_MODEL: 
  //    theSayAction = globalSkills->saySituationAction();
	    setNeedToSendSayAction();
    	break;
    default:
	    theSayAction = Action( EMPTY_ACTION, globalWorldModel->simStep() );	
	    setNeedToSendSayAction( false );
    }
    
    theSimStepOfSayAction = globalWorldModel->simStep();
    
    //setNeedToSendSayAction( false );
}        
				 
    
