
/*
 * Aktueller Stand
 *
 *   $RCSfile: Sensors.cc,v $
 *   $Revision: 1.11 $
 *   $Date: 2001/08/02 11:52:29 $
 *   $Author: wendler $ 
 *
 */
 
#include "./Sensors.h"


Sensors::Sensors() 
{
  theHeardMessages = vector<MessageCoach>(5);
  theIdString = "Sensors";
  initSensors();
}

Sensors::~Sensors() 
{
}

void Sensors::initSensors() {
  theIsNewInfo = NO;
  theIsNewSeeInfo = NO;
  theIsNewRefereeInfo = NO;
  theIsNewHearInfo = NO;
  theIsNewChangePlayerTypeInfo = NO;
  theHeardMessages.clear();
}

const Situation& Sensors::situation() const {
  return theSituation;
}


void Sensors::initOkInfo()
{
  theIsNewOkInfo = NO;
}
bool Sensors::isNewOkInfo()
{
  cout << "virtual isNewOkInfo" << endl;
  return theIsNewOkInfo;
}
bool Sensors::isNewSeeInfo()
{
  return theIsNewSeeInfo;
}
bool Sensors::isNewRefereeInfo()
{
  return theIsNewRefereeInfo;
} 
bool Sensors::isNewHearInfo()
{
  return theIsNewHearInfo;
}
bool Sensors::isNewChangePlayerTypeInfo()
{
  return theIsNewChangePlayerTypeInfo;
}
bool Sensors::isNewInfo() 
{
  return theIsNewInfo;
}

const vector<MessageCoach>& Sensors::heardMessages() const {
  return theHeardMessages;
}

void Sensors::sense()
{
  cout << "virtual sense" << endl;
}

int Sensors::checkEnterFieldForSide()
{
  cout << "virtual check enter field for side" << endl;
  return UNDEF_SIDE_ID;
}

void Sensors::checkServerParams()
{
  cout << "virtual check server params" << endl;
}
