#include "BuildChainIntention.h"

#include "../basicIntentions/GoToIntention.h"

BuildChainIntention::BuildChainIntention() : ComplexIntention( theId ){
  addPreCondition( new TrueCondition );
  addPostCondition( new FalseCondition );
  addIntention( new GoToIntention( Target::CHAIN ) );
  current = theIntentions.begin();
}

