#include "PassConditions.h"

#include "../../analyzer/Analyzer.h"

PassPossibleCondition::PassPossibleCondition() :
  Condition() {}

RiskPassPossibleCondition::RiskPassPossibleCondition() :
  Condition() {}
  
PassImpossibleCondition::PassImpossibleCondition() :
  PassPossibleCondition() {}

bool PassPossibleCondition::check() const{
  return globalAnalyzer->isPassPossible();
}

bool RiskPassPossibleCondition::check() const{
  return globalAnalyzer->isRiskPassPossible();
}