#ifndef _POSITION_CONDITIONS_H_
#define _POSITION_CONDITIONS_H_

#include "Condition.h"

#include "../targets/Target.h"




class PositionCondition : public Condition{
 public:
  PositionCondition( const Target& aTarget, double aTargetMargin = globalConf->standardTargetAccuracy );
  
  bool check() const;

 private:
  Target theTarget;
  double theTargetMargin;
};

class OffensivePositionCondition : public Condition{
  public:
    OffensivePositionCondition();
    bool check() const;
};



#endif
