#include <stream.h>

#include "Ath98String.h"
#include "Log.h"

/**
 * Aktueller Stand
 *
 *   $RCSfile: Ath98StringTest.cc,v $
 *   $Revision: 1.1.1.1 $
 *   $Date: 2001/07/31 22:23:09 $
 *   $Author: rami $ 
 *
 */
 
int main(){
  globalLog = new Log(10);
  
  Ath98String a = "abcdef";
  Ath98String b = Ath98String(13);
  Ath98String c = Ath98String(12.7);
  
  cout << "a = " << a << endl;
  cout << "b = " << b << endl;
  cout << "c = " << c << endl;
  
  cout << "b.asInt() => " << b.asInt() << endl;
  
  try {
    cout << "a.asInt() => " << a.asInt() << endl;
  } 
  catch (Ath98String::ConversionException) {
    cout << "produced a ConversionException."<< endl;
  }
  catch (...) {
    cout << "produced an unexpected exception." << endl;
  }
  
  c = b;
  cout << "c = b; c => " << c << endl;
  b = a;
  cout << "b = a; b => " << b << endl;
  cout << "c => " << c << endl;
  
  cout << "a.leftString(0) => '" << a.leftString(0) << "'" << endl;
  cout << "a.leftString(3) => '" << a.leftString(3) << "'" << endl;
  cout << "a.leftString(8) => '" << a.leftString(8) << "'" << endl;
  cout << "a.rightString(0) => '" << a.rightString(0) << "'" << endl;
  cout << "a.rightString(3) => '" << a.rightString(3) << "'" << endl;
  cout << "a.rightString(8) => '" << a.rightString(8) << "'" << endl;
  cout << "a.subString(0) => '" << a.subString(0) << "'" << endl;
  cout << "a.subString(0,0) => '" << a.subString(0,0) << "'" << endl;
  cout << "a.subString(0,3) => '" << a.subString(0,3) << "'" << endl;
  cout << "a.subString(0,8) => '" << a.subString(0,8) << "'" << endl;
  cout << "a.subString(2) => '" << a.subString(2) << "'" << endl;
  cout << "a.subString(2,0) => '" << a.subString(2,0) << "'" << endl;
  cout << "a.subString(2,3) => '" << a.subString(2,3) << "'" << endl;
  cout << "a.subString(2,8) => '" << a.subString(2,8) << "'" << endl;
  cout << "a.subString(8) => '" << a.subString(8) << "'" << endl;
  cout << "a.subString(8,0) => '" << a.subString(8,0) << "'" << endl;
  cout << "a.subString(8,3) => '" << a.subString(8,3) << "'" << endl;
  cout << "a.subString(8,8) => '" << a.subString(8,8) << "'" << endl;
  
  cout << " a + b => '" << a + b << "'" << endl; 
  return 0;
}
