#include "MovingObject.h"

 
MovingObject::MovingObject() : StableObject(), theSpeed( Vector() ) 
{ 
} 
 
MovingObject::MovingObject( int id, 
			    const Vector& aPos, 
			    const Vector& aSpeed )
  : StableObject( id, aPos ), 
  theSpeed( aSpeed )
{ 
}

StableObject* MovingObject::copy() const {
  return new MovingObject( *this );
}
  
Ath98String MovingObject::toString() const
{
  Ath98String output;

  output = Ath98String( "( id: " ) + Ath98String( id() ) +
    Ath98String(", position: ") + pos().toString() +
    Ath98String( ", speed: " ) + speed().toString() +
    Ath98String( " )" );
    return output;
} 